## PROJECT NEON PACKAGE BUILD SCRIPT

NEONDIR := /opt/project-neon

# defaults
include $(NEONDIR)/share/pkg-project-neon/0/default-settings.mk

# run dh
%:
	dh $@ $(dh_defaults) $(dh)

override_dh_auto_configure:
	dh_auto_configure -- \
		$(cmake_defaults) \
		$(cmake_opts)

ifneq ($(strip $(DEBUG_NAME)),)
override_dh_strip:
	dh_strip --dbg-package=$(DEBUG_NAME)
endif

.PHONY: override_dh_auto_test
override_dh_auto_test:
	# don't error out on tests if they fail
	#-dh_auto_test

# use xz -9 unless something else is intended
ifneq ($(DEB_NO_COMPRESSION),)
override_dh_builddeb:
	dh_builddeb -- -Znone
else ifeq ($(DEB_NO_XZ),)
override_dh_builddeb:
	dh_builddeb -- -Zxz -z6
endif

override_dh_gencontrol:
	dh_gencontrol -p$(HOOK_PACKAGE) -- -DReplaces='$(REPLACES) project-neon-apport (<< 253)'
	dh_gencontrol --remaining-packages

override_dh_link:
	dh_link -p$(HOOK_PACKAGE) /usr/share/apport/package-hooks/project-neon.py /usr/share/apport/package-hooks/source_$(SOURCE_NAME).py
